Bug 167871 - Complete system lockup when selinux enabled and rsync over ssh
Complete system lockup when selinux enabled and rsync over ssh
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-08 23:20 EDT by Naoki
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Naoki 2005-09-08 23:20:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
On both kernel-2.6.11-1.1369_FC4 & kernel-2.6.12-1.1447_FC4 the box will lockup when I start an rsync over SSH from a client. No kernel panic, just hung, responds to ping packets and the prompt keeps blinking, but nothing else.  I'm transfering about 11GB with many many files. 
The "building file list" part is fine, then about 30 seconds into the transfer... pop. 

This can be solved by disabling selinux.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4, glibc-2.3.5-10.3

How reproducible:

Steps to Reproduce:
1. From any machine do this rsync -rav --rsh=ssh /var/data xxx.xxx.xxx:/tmp
2. Wait ~30 seconds.  Files will start to transfer and then everything stops.


Actual Results:  Interestingly, the client never times out, the terminal session to the server never stops ( even pressing 'enter' key makes a new line ). But nothing else happens on the box and a power cycle is needed.

Expected Results:  Files go Whoooshhhh over the cable and land on disk.

Additional info:

There are no kernel messages either on console, nor in

I left top running on the server and this was the last screen dump :

top - 16:27:01 up 16 min,  1 user,  load average: 0.38, 0.10, 0.06
Tasks:  58 total,   1 running,  57 sleeping,   0 stopped,   0 zombie
Cpu(s):  3.0% us, 18.8% sy,  0.0% ni, 35.9% id, 41.6% wa,  0.0% hi,
0.7% si
Mem:   1023568k total,   508976k used,   514592k free,    40280k buffers
Swap:        0k total,        0k used,        0k free,    99340k cached

 2329 root      16   0  282m 266m  744 D 37.3 26.6   0:01.42 rsync
 2253 root      15   0 38524 2876 2096 S  6.3  0.3   0:01.62 sshd

Nothing crazy going on there and the cursor is still blinking.

The rsync and SSH running on the client are stuck on an unfinished
"select()" call.
tethereal shows no traffic between the two (ohh by the way how do you
get ethereal to show a more tcpdump style output so I can actually see
the ports things are coming from / going to?).
Comment 1 Dave Jones 2005-09-30 02:20:45 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 2 Dave Jones 2005-11-10 14:20:18 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Dave Jones 2006-02-03 00:24:53 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 21:31:10 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.